Package lxml :: Module objectify :: Class NumberElement |
[frames] | no frames]

# Class NumberElement

        object --+
                 |
    etree._Element --+
                     |
     etree.ElementBase --+
                         |
        ObjectifiedElement --+
                             |
        ObjectifiedDataElement --+
                                 |
                                NumberElement

Known Subclasses:
  - FloatElement
  - , IntElement
  - , LongElement

Instance Methods
__abs__(...) |
__add__(...) |
__and__(...) |
__div__(...) |
__eq__(x, y) x==y |
__float__(...) |
__ge__(x, y) x>=y |
__gt__(x, y) x>y |
__int__(...) |
__invert__(...) |
__le__(x, y) x<=y |
__long__(...) |
__lshift__(...) |
__lt__(x, y) x<y |
__mod__(...) |
__mul__(...) |
__ne__(x, y) x!=y |
__neg__(...) |
a new object with type S, a subtype of T |
__new__(T, S, ...) |
__nonzero__(x) x != 0 |
__or__(...) |
__pos__(...) |
__pow__(x, y, z=...) pow(x, y[, z]) |
__radd__(x, y) y+x |
__rand__(x, y) y&x |
__rdiv__(x, y) y/x |
__repr__(self) repr(x) |
__rlshift__(x, y) y<<x |
__rmod__(x, y) y%x |
__rmul__(x, y) y*x |
__ror__(x, y) y|x |
__rpow__(y, x, z=...) pow(x, y[, z]) |
__rrshift__(x, y) y>>x |
__rshift__(...) |
__rsub__(x, y) y-x |
__rtruediv__(x, y) y/x |
__rxor__(x, y) y^x |
__str__(...) str(x) |
__sub__(...) |
__truediv__(...) |
__xor__(...) |
Inherited from `ObjectifiedElement`: `__delattr__`, `__delitem__`, `__getattr__`, `__getattribute__`, `__getitem__`, `__iter__`, `__len__`, `__setattr__`, `__setitem__`, `addattr`, `countchildren`, `descendantpaths`, `find`, `findall`, `findtext`, `getchildren`, `iterfind` Inherited from `etree._Element`: `__contains__`, `__copy__`, `__deepcopy__`, `__reversed__`, `addnext`, `addprevious`, `append`, `clear`, `extend`, `get`, `getiterator`, `getnext`, `getparent`, `getprevious`, `getroottree`, `index`, `insert`, `items`, `iter`, `iterancestors`, `iterchildren`, `iterdescendants`, `itersiblings`, `itertext`, `keys`, `makeelement`, `remove`, `replace`, `set`, `values`, `xpath` Inherited from `object`: `__hash__`, `__init__`, `__reduce__`, `__reduce_ex__`

Properties
| pyval
Inherited from `ObjectifiedElement`: `text` Inherited from `etree._Element`: `attrib`, `nsmap`, `prefix`, `sourceline`, `tag`, `tail` Inherited from `object`: `__class__`

Method Details

### __new__(T, S, ...) |
Returns: a new object with type S, a subtype of T Overrides: object.__new__

### __nonzero__(x) (Boolean test operator) |
x != 0 Overrides: etree._Element.__nonzero__

### __repr__(self) (Representation operator) |
repr(x) Overrides: object.__repr__ (inherited documentation)

### __str__(...) (Informal representation operator) |
str(x) Overrides: object.__str__ (inherited documentation)